For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch invoices
      • POSTCreate
      • GETGet
      • POSTUpdate
      • DELDelete
      • GETEvents
        • GETGet Attachments
        • POSTUpload Attachment
        • DELDelete Attachment
        • GETGet Invoice PDF
        • GETGet Check PDF
        • GETGet Payment Confirmation PDF
        • GETGet Source Email
Logo
Sign inBook a demo
API ReferenceInvoiceDocument

Get Check PDF

GET
https://api.mercoa.com/invoice/:invoiceId/check/generate
GET
/invoice/:invoiceId/check/generate
$curl https://api.mercoa.com/invoice/in_26e7b5d3-a739-4b23-9ad9-6aaa085f47a9/check/generate \
> -H "Authorization: Bearer <token>"
1{
2 "mimeType": "application/pdf",
3 "type": "CHECK",
4 "uri": "https://mercoa.com/pdf/not-real.pdf"
5}
Get a PDF of the check for the invoice. If the invoice does not have check as the disbursement method, an error will be returned. If the disbursement option for the check is set to 'MAIL', a void copy of the check will be returned. If the disbursement option for the check is set to 'PRINT', a printable check will be returned. If the invoice is NOT marked as PAID, the check will be a void copy.
Was this page helpful?
Previous

Get Payment Confirmation PDF

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceIdstringRequired
Invoice ID or Invoice ForeignID

Response

Link to the PDF file. Will expire after 1 hour.
mimeTypestring
typeenum
uristring
idstring
ID of the document. If not provided, this is a dynamic document that is generated on the fly.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented